import 'package:krow/features/profile/emergency_contacts/data/models/emergency_contact_model.dart';

abstract class EmergencyContactRepository {
  Stream<List<EmergencyContactModel>> getStaffEmergencyContacts();

  Future<List<EmergencyContactModel>?> updateEmergencyContacts(
    List<EmergencyContactModel> contacts,
  );
}
